> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alert resolution



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/alerts/{id}/outcome
openapi: 3.0.0
info:
  title: Trusto API Documentation
  description: API documentation Trusto chargeback alerts resolution
  version: '1.0'
  contact: {}
servers:
  - url: https://api.trusto.one
    description: Sandbox environment
  - url: https://api.trusto.io
    description: Production environment
security: []
tags:
  - name: Alerts
    description: Alerts lookup and view
  - name: Resolutions
    description: Providing resolutions to the alerts
paths:
  /api/v1/alerts/{id}/outcome:
    get:
      tags:
        - Resolutions
      summary: Get alert resolution
      operationId: AlertsController_findOutcome
      parameters:
        - name: id
          required: true
          in: path
          description: Alert ID
          schema:
            example: 123e4567-e89b-12d3-a456-426614174000
            type: string
      responses:
        '200':
          description: Alert outcome
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutcomeEntity'
      security:
        - bearer: []
components:
  schemas:
    OutcomeEntity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the outcome
          format: uuid
          example: 4a0c8f5d-4b8d-4f4d-8f1a-2f8c9c1e5b7b
        alertId:
          type: string
          description: Unique identifier of the alert
          format: uuid
          example: 4a0c8f5d-4b8d-4f4d-8f1a-2f8c9c1e5b7b
        ethocaID:
          type: string
          description: Ethoca ID of the Ethoca alert
          example: '123456'
        outcome:
          type: string
          description: The outcome of the resolution
          enum:
            - stopped
            - partially_stopped
            - previously_cancelled
            - missed
            - notfound
            - account_suspended
            - in_progress
            - shipper_contacted
            - other
            - resolved
            - previously_refunded
            - unresolved_dispute
            - not_found
          example: stopped
        refunded:
          type: string
          description: The refund decision
          enum:
            - refunded
            - not refunded
            - not settled
          example: refunded
        amountStopped:
          type: number
          description: The amount stopped
          example: 100.12
        comments:
          type: string
          description: Comments
          maxLength: 250
          example: This is a comment
        actionTimestamp:
          type: string
          description: Timestamp of the resolution
          format: date-time (ISO 8601)
          example: '2024-01-01T00:00:00.000Z'
      required:
        - id
        - alertId
        - ethocaID
        - outcome
        - refunded
        - amountStopped
        - comments
        - actionTimestamp
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````